Retry extraction
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-try-again",
"version": 1,
"run": {
"schema": "penumbra.file-extraction-run",
"version": 1,
"run_id": "<string>",
"request_id": "<string>",
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"source_file_ids": [
"<string>"
],
"collection": {
"id": "<string>",
"revision": 0
},
"status": "queued",
"preset": {
"kind": "shape",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"shapes": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"level": "<string>",
"continues_run_id": "<string>",
"continued_by_run_id": "<string>",
"actions": {
"retry": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
}
},
"destination": {
"workspace_id": "<string>",
"workspace_name": "<string>",
"context_id": null
},
"result_counts": {
"accepted": 0,
"needs_evidence": 0,
"rejected": 0,
"repair": 0
},
"error_code": "<string>",
"failure_code": "<string>",
"progress": {
"cursor": 4503599627370495,
"step": "draft",
"parts": {
"done": 4503599627370495,
"total": 4503599627370495
},
"live": {
"entities": 4503599627370495,
"relationships": 4503599627370495
},
"by_type": [
{
"kind": "entity",
"type_id": "<string>",
"type_name": "<string>",
"live": 123
}
],
"not_accepted": {
"needs_evidence": 4503599627370495,
"rejected": 4503599627370495
},
"stop_requested": true
},
"stopped_early": true,
"review_not_run": true,
"incomplete": {
"parts_delivered": 4503599627370495,
"parts_total": 123,
"reconciled": true,
"failure_code": "<string>",
"files_not_fully_read": [
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partly_read": true
}
]
},
"over_limit_count": 0,
"created_at": "<string>",
"updated_at": "<string>",
"completed_at": "<string>"
},
"parent_run_id": "<string>",
"replayed": true
}
}Extraction
Retry extraction
Try an extraction run again.
Retry extraction
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-try-again",
"version": 1,
"run": {
"schema": "penumbra.file-extraction-run",
"version": 1,
"run_id": "<string>",
"request_id": "<string>",
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"source_file_ids": [
"<string>"
],
"collection": {
"id": "<string>",
"revision": 0
},
"status": "queued",
"preset": {
"kind": "shape",
"id": "<string>",
"name": "<string>",
"description": "<string>",
"shapes": [
{
"id": "<string>",
"name": "<string>"
}
]
},
"level": "<string>",
"continues_run_id": "<string>",
"continued_by_run_id": "<string>",
"actions": {
"retry": {
"state": "available",
"reason_code": "<string>",
"message": "<string>"
}
},
"destination": {
"workspace_id": "<string>",
"workspace_name": "<string>",
"context_id": null
},
"result_counts": {
"accepted": 0,
"needs_evidence": 0,
"rejected": 0,
"repair": 0
},
"error_code": "<string>",
"failure_code": "<string>",
"progress": {
"cursor": 4503599627370495,
"step": "draft",
"parts": {
"done": 4503599627370495,
"total": 4503599627370495
},
"live": {
"entities": 4503599627370495,
"relationships": 4503599627370495
},
"by_type": [
{
"kind": "entity",
"type_id": "<string>",
"type_name": "<string>",
"live": 123
}
],
"not_accepted": {
"needs_evidence": 4503599627370495,
"rejected": 4503599627370495
},
"stop_requested": true
},
"stopped_early": true,
"review_not_run": true,
"incomplete": {
"parts_delivered": 4503599627370495,
"parts_total": 123,
"reconciled": true,
"failure_code": "<string>",
"files_not_fully_read": [
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partly_read": true
}
]
},
"over_limit_count": 0,
"created_at": "<string>",
"updated_at": "<string>",
"completed_at": "<string>"
},
"parent_run_id": "<string>",
"replayed": true
}
}Operation ID:
http.semantic_tasks.file_extractions.try_again
POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/runs/{run}/try-again
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
1–200 printable ASCII characters, no surrounding spaces; '.' and '..' are reserved. Reuse this key with the same request when retrying an uncertain outcome.
Required string length:
1 - 200Pattern:
^(?!\.{1,2}$)[!-~](?:[ -~]*[!-~])?$Body
application/json
The body is of type object.
Response
2XX - application/json
Success.
- Option 1
- Option 2
Show child attributes
Show child attributes